Subject: bug#11339: 24.1.50; read-{buffer,file-name}-completion-ignore-case fails on non-ascii

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Nov 2019 16:49:22 +0200

> From: Stephen Berman <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Thu, 07 Nov 2019 15:34:15 +0100
> 
> > The best I could see (unless I'm mistaken) is that in the "C-x b" case
> > the second TAB sees that the string in the minibuffer is a possible
> > completion, and declares success; it doesn't call all-completions as
> > I'd expect.  If this observation is correct, then relying on
> > try-completions in this case is what trips us, because try-completions
> > has special heuristics when the candidates are all identical but for
> > the letter-case, the result being that only one candidate is returned.
> >
> > CC'ing Stefan who might have a better idea of what is going on here.
> 
> So why do we have to rely on `try-completion' here?

Because that's how completion--do-completion was coded, I suppose.

> Emacs built with the patch below shows the behavior I want with `C-x
> b' using the above recipe.  I assume that are bad side effects
> elsewhere

Of course.  We cannot make such a change, I think.